Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::time_dependent_node Class Reference

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::time_dependent_node:

[legend]

List of all members.

## Detailed Description

Abstract base class for time-dependent nodes.

## Public Member Functions

virtual | ~time_dependent_node ()=0 throw ()
| Destroy.
void | update (double time)
| Update with the current time.

## Protected Member Functions

| time_dependent_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual time_dependent_node * | to_time_dependent () throw ()
| Cast to a `time_dependent_node`.
virtual void | do_update (double time)=0
| Update with the current time.

## Constructor & Destructor Documentation

openvrml::time_dependent_node::~time_dependent_node | ( |  | ) | throw ()`[pure virtual]`

Destroy.

openvrml::time_dependent_node::time_dependent_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope |
| ) |  |  | throw ()`[protected]`

Construct.

Parameters:

  `[in]` | type | the `node_type` associated with the `node`.
  `[in]` | scope | the `scope` the `node` belongs to.

## Member Function Documentation

void openvrml::time_dependent_node::update | ( | double | time | ) |

Update with the current time.

This function delegates to `do_update`.

Parameters:

  `[in]` | time | the current time.

openvrml::time_dependent_node * openvrml::time_dependent_node::to_time_dependent | ( |  | ) | throw ()`[private, virtual]`

Cast to a `time_dependent_node`.

Returns:
  a pointer to the object.

Reimplemented from openvrml::node.

void openvrml::time_dependent_node::do_update | ( | double | time | ) | `[private, pure virtual]`

Update with the current time.

Parameters:

  `[in]` | time | the current time.